local HorizMetric = THEME:GetMetric(Var "LoadingScreen","ScrollerHorizAlign");
local t = Def.ActorFrame {
    -- Unfocused BG
	LoadFont("Menus") ..{
		Text=THEME:GetString( 'ScreenTitleMenu', Var("GameCommand"):GetText() );
		InitCommand=cmd(horizalign,HorizMetric;shadowlength,0;diffusealpha,0);
        BeginCommand=cmd(stoptweening;diffuse,0.2,0.2,0.2,1;diffusebottomedge,0.6,0.6,0.6,1);
--[[         GainFocusCommand=cmd(stoptweening;linear,0.1;diffusealpha,0;);
        LoseFocusCommand=cmd(stoptweening;linear,0.2;diffusealpha,1;); --]]
		DisabledCommand=cmd(diffuse,0.5,0.5,0.5,1);
	};
    -- Focused
	LoadFont("Menus") ..{
		Text=THEME:GetString( 'ScreenTitleMenu', Var("GameCommand"):GetText() );
		InitCommand=cmd(horizalign,HorizMetric;shadowlength,0;diffusealpha,0);
        BeginCommand=cmd(stoptweening;diffuseshift;effectperiod,0.5;effectcolor1,MainColorLight;effectcolor2,MainColorBase);
--[[ 		GainFocusCommand=cmd(stoptweening;linear,0.1;diffusealpha,1;);
		LoseFocusCommand=cmd(stoptweening;linear,0.2;diffusealpha,0;); --]]
        GainFocusCommand=cmd(finishtweening;diffusealpha,1;glow,1,1,1,1;linear,0.1;glow,1,1,1,0);
        LoseFocusCommand=cmd(finishtweening;linear,0.2;diffusealpha,0);
		DisabledCommand=cmd(diffuse,0.5,0.5,0.5,1);
	};
    -- Focused Gloss
--[[ 	LoadFont("Menus") ..{
		Text=THEME:GetString( 'ScreenTitleMenu', Var("GameCommand"):GetText() );
		InitCommand=cmd(horizalign,center;shadowlength,0);
        BeginCommand=cmd(stoptweening;diffuse,1,1,1,0.2;diffusebottomedge,1,1,1,0.6;);
		GainFocusCommand=cmd(stoptweening;linear,0.1;diffuse,1,1,1,0.2;diffusebottomedge,1,1,1,0.8;);
		LoseFocusCommand=cmd(stoptweening;linear,0.2;diffuse,1,1,1,0;diffusebottomedge,1,1,1,0);
		DisabledCommand=cmd(diffuse,0.5,0.5,0.5,1);
	}; --]]
};

return t;
